Package com.zfabrik.resources.util

## Class ExpirableValuesPseudoMap.ValueHolder

- java.lang.Object
- - com.zfabrik.resources.util.ExpirableValuesPseudoMap.ValueHolder

- Enclosing class:
    ExpirableValuesPseudoMap<K,​V,​U>

      public class ExpirableValuesPseudoMap.ValueHolder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueHolder​(K key, V value)` |
    `ValueHolder​(K key, V value, long ttl, long exp, short rt)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpirableValuesPseudoMap.ValueHolder` | `adjust​(long ttl, long exp, short rt)` |
    `long` | `getExpiration()` |
    `U` | `getExtra()` |
    `K` | `getKey()` |
    `short` | `getRefMode()` |
    `long` | `getTtl()` |
    `V` | `getValue()` |
    `void` | `setExtra​(U extra)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueHolder

          public ValueHolder​(K key,
                             V value)

    - #### ValueHolder

          public ValueHolder​(K key,
                             V value,
                             long ttl,
                             long exp,
                             short rt)

  - ### Method Detail

    - #### adjust

          public ExpirableValuesPseudoMap.ValueHolder adjust​(long ttl,
                                                             long exp,
                                                             short rt)

    - #### getValue

          public V getValue()

    - #### getKey

          public K getKey()

    - #### getExtra

          public U getExtra()

    - #### setExtra

          public void setExtra​(U extra)

    - #### getTtl

          public long getTtl()

    - #### getExpiration

          public long getExpiration()

    - #### getRefMode

          public short getRefMode()